gr::gsm::burst_file_source_impl Class Reference

`#include <burst_file_source_impl.h>`

Inheritance diagram for gr::gsm::burst_file_source_impl:

## Public Member Functions

| burst_file_source_impl (const std::string &filename)
| ~burst_file_source_impl ()
bool | start ()
bool | stop ()
bool | finished ()

## Additional Inherited Members

Public Types inherited from gr::gsm::burst_file_source
typedef std::shared_ptr< burst_file_source > | sptr
Static Public Member Functions inherited from gr::gsm::burst_file_source
static sptr | make (const std::string &filename)
| Return a shared_ptr to a new instance of grgsm::burst_file_source.

## Constructor & Destructor Documentation

## burst_file_source_impl()

gr::gsm::burst_file_source_impl::burst_file_source_impl | ( | const std::string & | filename | ) |

## ~burst_file_source_impl()

gr::gsm::burst_file_source_impl::~burst_file_source_impl | ( |  | ) |

## Member Function Documentation

## finished()

bool gr::gsm::burst_file_source_impl::finished | ( |  | ) |

## start()

bool gr::gsm::burst_file_source_impl::start | ( |  | ) |

## stop()

bool gr::gsm::burst_file_source_impl::stop | ( |  | ) |

The documentation for this class was generated from the following file:

- burst_file_source_impl.h